com.fasterxml.jackson.core.async

## Interface ByteBufferFeeder

All Superinterfaces:
  NonBlockingInputFeeder

All Known Implementing Classes:
  NonBlockingByteBufferJsonParser

    public interface ByteBufferFeeder
    extends NonBlockingInputFeeder

`NonBlockingInputFeeder` implementation used when feeding data as `ByteBuffer` contents.

Since:
  2.9

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `feedInput(ByteBuffer buffer)` Method that can be called to feed more data, if (and only if) `NonBlockingInputFeeder.needMoreInput()` returns true.

### Methods inherited from interface com.fasterxml.jackson.core.async.NonBlockingInputFeeder

`endOfInput, needMoreInput`

### Method Detail

#### feedInput

    void feedInput(ByteBuffer buffer)
            throws IOException

Method that can be called to feed more data, if (and only if) `NonBlockingInputFeeder.needMoreInput()` returns true.

Parameters:
  `buffer` - Buffer that contains additional input to read
Throws:
  `IOException` - if the state is such that this method should not be called (has not yet consumed existing input data, or has been marked as closed)